{
    let _old = Sprite_EnemyBattlerStatus.prototype.refreshBitmap;

    let stateMapper = {
        6: "HAPPY",
        7: "ECSTATIC",
        8: "MANIC",
        10: "SAD",
        11: "DEPRESSED",
        12: "MISERABLE",
        14: "ANGRY",
        15: "ENRAGED",
        16: "FURIOUS",

        // special
        119: "ANGRY",
        120: "ENRAGED",
        121: "FURIOUS",
        122: "ECSTATIC",
        123: "MANIC",
        124: "SAD",
        125: "DEPRESSED",
        126: "MISERABLE"
    }
    Sprite_EnemyBattlerStatus.prototype.refreshBitmap = function(battler) {
        if (battler) {
            _old.call(this, new Proxy(battler, {
                get: function(target, prop, receiver) {
                    if (prop === "name") {
                        let on = Reflect.get(...arguments).bind(target)();
                        let states = Reflect.get(target, "_states", receiver);
                        let picked = "";
                        for (let state of states) {
                            if (stateMapper[state]) {
                                picked = stateMapper[state] + " ";
                                break;
                            }
                        }

                        return function() { return `${picked}${on}`; }
                    } else {
                        return Reflect.get(...arguments);
                    }
                }
            }));
        } else {
            _old.call(this, battler);
        }
    }
}